org.gnome.pango

## Class Underline

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.pango.Underline

-     public final class Underline
      extends org.freedesktop.bindings.Constant

  Constants specifying the type of underlining to be used in a given span of text.
  Since:
    4.0.9
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Underline` | `DOUBLE` A double underline stroke below the text.
    `static Underline` | `ERROR` The squiggly underline typically used to note spelling mistakes or compile errors.
    `static Underline` | `LOW` An interesting special case of single underlining, provide an underline decoration that is absolutely below and clear of the bottom edge of the drawn glyphs.
    `static Underline` | `NONE` No underline.
    `static Underline` | `SINGLE` A single horizontal underline stroke below the text.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DOUBLE

          public static final Underline DOUBLE

      A double underline stroke below the text.

    - #### ERROR

          public static final Underline ERROR

      The squiggly underline typically used to note spelling mistakes or compile errors.

    - #### LOW

          public static final Underline LOW

      An interesting special case of single underlining, provide an underline decoration that is absolutely below and clear of the bottom edge of the drawn glyphs. This is exclusively intended for marking up mnemonic characters in Labels.

      Note that this is not to be applied for extended spans of text. Use `SINGLE` for normal single underlining.

    - #### NONE

          public static final Underline NONE

      No underline.

    - #### SINGLE

          public static final Underline SINGLE

      A single horizontal underline stroke below the text.